darcs

Issue 2365 whatsnew fails in repos made with get --no-working-dir

Title whatsnew fails in repos made with get --no-working-dir
Priority Status resolved
Milestone 2.10.0 HEAD Resolved in 2.10.0 HEAD
Superseder Nosy List gh
Assigned To
Topics

Created on 2014-03-30.18:17:22 by gh, last changed 2014-05-04.20:17:27 by noreply.

Messages
msg17247 (view) Author: gh Date: 2014-03-30.18:17:21
With darcs 2.9.8 (head):

$ darcs init --repo R 
Repository initialized.
$ cd R
$ touch x 
$ darcs rec -lam file
Finished recording patch 'file'
$ cd ..
$ darcs get --no-working-dir R S 
Copying patches, to get lazy repository hit ctrl-C...
Finished getting.
$ cd S
$ darcs w 

darcs failed:  error opening
_darcs/pristine.hashed/fcfc54cd9ea19120efa9fb7a4f0234eb3a5379abf20fd7a310efe85e2fde8f93
msg17430 (view) Author: noreply Date: 2014-05-04.20:17:26
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2365 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2365: correctly copy pristine in no-working-dir clones 
Ignore-this: e6927be930a2dd8131c65f22114a499c
This patch makes Darcs.Repository.HashedIO.copyHashed take
a flag that tells whether a clean working copy should be created
while pristine is copied.
History
Date User Action Args
2014-03-30 18:17:22ghcreate
2014-04-12 17:52:36ghsetmilestone: 2.10.0 HEAD
2014-05-04 20:17:27noreplysetstatus: unknown -> resolved
messages: + msg17430
resolvedin: 2.10.0 HEAD